<?php

/*
* (C) 2013-2020 iDorMobile LCC, Werner Pfundstein IT
*
* Version: 2.2
 *
 */

    require_once('/usr/iDorMobile/system/scripts/dbcore.php');
    require_once('/usr/iDorMobile/system/scripts/dbtools.php');

    if (session_status() == PHP_SESSION_NONE) {
        session_start();
    }

    $go_on = false;
    if (isset($_SESSION['user_level'])) {
        if (intval($_SESSION['user_level']) > 0) {
            $go_on = true;
        }
    }

    if (!$go_on) {
        header("Location: index.php");
        exit;
    }

    $ret_value = "unknown";

    if ($cn = db_open()) {

        if (isset($_POST['action'])) {
            if ($_POST['action'] == "save") {
                $id = intval(htmlentities($_POST['id']));
                $number = mysql_real_escape_string(htmlentities($_POST['number']));
                $caller_number = intval(htmlentities($_POST['caller_number']));
                $password = mysql_real_escape_string(htmlentities($_POST['password']));
                $password2 = mysql_real_escape_string(htmlentities($_POST['password2']));


                if (intval($number) <= 0 || intval($caller_number) <= 0) {
                    $ret_value = "Number or Caller Number are zero or not valid";
                } else {
                    $error = "";

                    // does call_number exists
                    $stmt = "Select * from apartments where caller_number='".$caller_number."' and id <> '".$id."'";
                    if ($s = mysql_query($stmt)) {
                        if ($r = mysql_fetch_object($s)) {
                            $error = "Caller Number already exists";
                        }
                        mysql_free_result($s);
                    }

                    // does number exists
                    $stmt = "Select * from apartments where number='".$number."' and id <> '".$id."'";
                    if ($s = mysql_query($stmt)) {
                        if ($r = mysql_fetch_object($s)) {
                            if (strlen($error) == 0) {
                                $error = "Apartment already exists";
                            } else {
                                $error = "Apartment number already exists";
                            }
                        }
                        mysql_free_result($s);
                    }

                    if (strlen($password) > 0) {
                        if ($password != $password2) {
                            $error = "Passwords not matches";
                        }
                    }

                    if (strlen($error) == 0) {
                        $ret_value = "ok";
                    } else {
                        $ret_value = $error;
                    }
                }

            } else if ($_POST['action'] == "save2") {
                $id = $_POST['id'];
                $password = mysql_real_escape_string(htmlentities($_POST['password']));
                $password2 = mysql_real_escape_string(htmlentities($_POST['password2']));
                $error = "";

                if (strlen($password) > 0) {
                    if ($password != $password2) {
                        $error = "Passwords not matches";
                    }
                }

                if (strlen($error) == 0) {
                    $ret_value = "ok";
                } else {
                    $ret_value = $error;
                }
            } else if ($_POST['action'] == "update_status") {
                $ret_value = "";
                $act_devices = trim($_POST['act_devices']);
                $devices_status = array();
                $result = array();
                $e = true;
                $arr = explode(" ",$act_devices);
                if (count($arr) > 0) {
                    foreach ($arr as $a) {
                        if (!isValidNumeric($a)) {
                            $e = false;
                        }
                    }
                } else {
                    $e = false;
                }
                if ($e) {
                    $cmd = "sudo /usr/iDorMobile/system/scripts/idor_device_status.php ".$act_devices;
                    exec($cmd,$result);
                    if (count($result) > 0) {
                        $ret_value = $result[0];
                    }
                }
            }
        }

        db_close($cn);
    }

    echo $ret_value;

?>
