<?php

/*
* (C) 2013-2020 iDorMobile LCC, Werner Pfundstein IT
*
* Version: 2.2
 *
 */

    require_once('/usr/iDorMobile/system/scripts/dbcore.php');
    require_once('/usr/iDorMobile/system/scripts/dbtools.php');

    if (session_status() == PHP_SESSION_NONE) {
        session_start();
    }

    $go_on = false;
    if (isset($_SESSION['user_level'])) {
        if (intval($_SESSION['user_level']) >= 20) {
            $go_on = true;
        }
    }

    if (!$go_on) {
        header("Location: index.php");
        exit;
    }


	$ret_value = "unknown";

    if ($cn = db_open()) {
        if (isset($_POST['action'])) {
            if ($_POST['action'] == "save") {

                $error = "";

                $id = intval(htmlentities($_POST['id']));
                $username = mysql_real_escape_string(htmlentities($_POST['username']));
                $authname = mysql_real_escape_string(htmlentities($_POST['authname']));
                $password = mysql_real_escape_string(htmlentities($_POST['password']));

                if (strlen($username) == 0) {
                    $error .= "\n";
                    $error .= "Field Username is empty";
                }
                if (strlen($authname) == 0) {
                    $error .= "\n";
                    $error .= "Field Authname is empty";
                }
                if (strlen($password) == 0) {
                    $error .= "\n";
                    $error .= "Field Password is empty";
                }

                if (strlen($error) == 0) {
                    $error = check_door_station_account($id,$username,$authname);
                }

                if (strlen($error) > 0) {
                    $error = substr($error,1);
                    $ret_value = $error;
                } else {
                    $ret_value = "ok";
                }

            } else if ($_POST['action'] == "update_status") {
                $ret_value = "";
                $act_devices = intval(trim(htmlentities($_POST['act_devices'])));
                $devices_status= array();
                $result = array();
                $cmd = "sudo /usr/iDorMobile/system/scripts/idor_device_status.php ".intval($act_devices);
                exec($cmd,$result);
                if (count($result) > 0) {
                    $ret_value = $result[0];
                }
            }
        }
        db_close($cn);

    }

	echo $ret_value;

?>
