<?php


/*
* (C) 2013-2020 iDorMobile LCC, Werner Pfundstein IT
*
* Version: 2.2
 *
 */

	require_once('includes/config.inc.php');

	$my_id = 0;
    $go_on = false;
	if (isset($_SESSION['user_level'])) {
		if (intval($_SESSION['user_level']) > 0) {
			if (isset($_SESSION['apartment_id'])) {
				$my_id = intval($_SESSION['apartment_id']);
                $go_on = true;
            }
        }
	}

    if (!$go_on) {
		header("Location: index.php");
		exit;
	}

	if (isset($_GET['id'])) {
		$my_id = intval($_GET['id']);
		if (intval($_SESSION['user_level']) == 5) {
			if (isset($_SESSION['apartment_id'])) {
				if ($_SESSION['apartment_id'] != $my_id) {
					header("Location: index.php");
					exit;
				}
			}
		}
	}
	if (isset($_POST['my_id'])) {
		$my_id = intval(htmlentities($_POST['my_id']));
		if (intval($_SESSION['user_level']) == 5) {
			if (isset($_SESSION['apartment_id'])) {
				if ($_SESSION['apartment_id'] != $my_id) {
					header("Location: index.php");
					exit;
				}
			}
		}
	}

	$my_parent_page = "apartments.php";
	if (isset($_POST['my_parent_page'])) {
		$my_parent_page = mysql_real_escape_string(htmlentities($_POST['my_parent_page']));
	}
	
	if(isset($_POST['my_action']) && $_POST['my_action'] == "back") {
		if (strlen($my_parent_page) > 0) {
			header("Location: ".$my_parent_page);
			exit();
		}
	}
	
	if (isset($_POST['my_action']) && $_POST['my_action'] == "device_delete") {
		$entry_id = intval(htmlentities($_POST['my_entry_id']));
        $stmt = "Select * from sip_accounts where id='".intval($entry_id)."'";
        if ($s = mysql_query($stmt)) {
            if ($r = mysql_fetch_object($s)) {
                $stmt = "Select * from call_routings where apartment_id='".intval($my_id)."'";
                if ($s_cr = mysql_query($stmt)) {
                    while ($r_cr = mysql_fetch_object($s_cr)) {
                        $arr = explode(",",$r_cr->sip_accounts);
                        $arr_count = count($arr);
                        $sip_accounts = "";
                        for ($i = 0; $i < $arr_count; $i++) {
                            if (trim($arr[$i]) != $r->name) {
                                if (strlen($sip_accounts) > 0) {
                                    $sip_accounts .= ", ";
                                }
                                $sip_accounts .= trim($arr[$i]);
                            }
                        }
                        $stmt  = "Update call_routings set ";
                        $stmt .= "sip_accounts='".$sip_accounts."' ";
                        $stmt .= "where id='".intval($r_cr->id)."'";
                        mysql_query($stmt);
                    }
                    mysql_free_result($s_cr);
                }
                $stmt = "delete from sip_accounts where id='".intval($entry_id)."' and apartment_id='".intval($my_id)."'";
                mysql_query($stmt);
                exec("sudo ".$path_scripts."/sip_settings");
            }
            mysql_free_result($s);
        }



	}

	if (isset($_POST['my_action']) && $_POST['my_action'] == "call_routing_delete") {
		$entry_id = intval(htmlentities($_POST['my_entry_id']));

		$stmt = "Delete from call_routings where id='".intval($entry_id)."' and apartment_id='".intval($my_id)."'";
		mysql_query($stmt);
	}

	// Edit
	if (isset($_GET['action']) && $_GET['action'] == "edit") {
		$my_id = intval(htmlentities($_GET['id']));
		if (intval($_SESSION['user_level'])  == 5) {
			if (isset($_SESSION['apartment_id'])) {
				if ($_SESSION['apartment_id'] != $my_id) {
					header("Location: index.php");
					exit;
				}
			}
		}
		$my_parent_page = mysql_real_escape_string($_GET['parent_page']);
	}
	
	// Save
	if (isset($_POST['my_action']) && $_POST['my_action'] == "save") {
		if (intval($my_id) == 0) {
			$stmt  = "insert into apartments set ";
			if (intval($_SESSION['user_level']) >= 10) {
                $stmt .= "number='".mysql_real_escape_string(htmlentities($_POST['number']))."', ";
                $stmt .= "caller_number='".intval(htmlentities($_POST['caller_number']))."', ";
			} else {
                $stmt .= "number='".mysql_real_escape_string(htmlentities($_POST['number_orig']))."', ";
                $stmt .= "caller_number='".intval(htmlentities($_POST['caller_number_orig']))."', ";
			}
            $ark = substr(md5(rand()),0,20);
            $stmt .= "config_key='".$ark."', ";
            if (strlen(mysql_real_escape_string(htmlentities($_POST['password']))) > 0) {
                $stmt .= "password='".mysql_real_escape_string(htmlentities(hash('sha256',$_POST['password'])))."', ";
            }
			$stmt .= "name='".mysql_real_escape_string(htmlentities($_POST['name']))."', ";
            $stmt .= "contact_email='".mysql_real_escape_string(htmlentities($_POST['contact_email']))."', ";
			$stmt .= "contact_number='".mysql_real_escape_string(htmlentities($_POST['contact_number']))."', ";
            if (isset($_POST['contact_number_use'])) {
                $stmt .= "contact_number_use='1' ";
            } else {
                $stmt .= "contact_number_use='0' ";
            }
			mysql_query($stmt);
			$my_id =  mysql_insert_id();
            if (intval($my_id) > 0) {
                $stmt  = "insert into call_routings set ";
                $stmt .= "apartment_id='".intval($my_id)."', ";
                $stmt .= "priority='1', ";
                $stmt .= "ring_time = '30'";
                mysql_query($stmt);
            }
		} else {
			$stmt  = "update apartments set ";
			if (intval($_SESSION['user_level']) >= 10) {
                $stmt .= "number='".mysql_real_escape_string(htmlentities($_POST['number']))."', ";
                $stmt .= "caller_number='".intval(htmlentities($_POST['caller_number']))."', ";
                $ark = mysql_real_escape_string(htmlentities($_POST['config_key']));
                if ($ark == "new") {
                    $ark = substr(md5(rand()),0,20);
                    $stmt .= "config_key='".$ark."', ";
                }
			} else {
                $stmt .= "number='".mysql_real_escape_string(htmlentities($_POST['number_orig']))."', ";
                $stmt .= "caller_number='".intval(htmlentities($_POST['caller_number_orig']))."', ";
			}
            if (strlen($_POST['password']) > 0) {
                $stmt .= "password='".mysql_real_escape_string(htmlentities(hash('sha256',$_POST['password'])))."', ";
            }
            $stmt .= "name='".mysql_real_escape_string(htmlentities(htmlentities($_POST['name'])))."', ";
            $stmt .= "contact_email='".mysql_real_escape_string(htmlentities($_POST['contact_email']))."', ";
			$stmt .= "contact_number='".mysql_real_escape_string(htmlentities($_POST['contact_number']))."', ";
            if (isset($_POST['contact_number_use'])) {
                $stmt .= "contact_number_use='1' ";
            } else {
                $stmt .= "contact_number_use='0' ";
            }
			$stmt .= "where id='".intval($my_id)."'";
			mysql_query($stmt);
			if (strlen(mysql_error()) == 0) {
				$index = 0;
				while (isset($_POST['cr_id_'.$index])) {
                    $sip_accounts = $_POST['cr_sip_accounts_'.$index];
                    $arr = explode(",",$sip_accounts);
                    $arr_count = count($arr);
                    $sip_accounts = "";
                    for ($i = 0; $i < $arr_count; $i++) {
                        $stmt = "select * from sip_accounts where name='".mysql_real_escape_string(htmlentities(trim($arr[$i])))."' and apartment_id='".mysql_real_escape_string($my_id)."'";
                        if ($s = mysql_query($stmt)) {
                            if ($r = mysql_fetch_object($s)) {
                                if (strlen($sip_accounts) > 0) {
                                    $sip_accounts .= ", ";
                                }
                                $sip_accounts .= trim($arr[$i]);
                            }
                        }
                        if (substr(trim($arr[$i]),0,9) == "Concierge") {
                            $stmt = "select * from door_modules where name='".mysql_real_escape_string(htmlentities(trim($arr[$i])))."'";
                            if ($s = mysql_query($stmt)) {
                                if ($r = mysql_fetch_object($s)) {
                                    if (strlen($sip_accounts) > 0) {
                                        $sip_accounts .= ", ";
                                    }
                                    $sip_accounts .= trim($arr[$i]);
                                }
                            }
                        }
                    }
					$stmt  = "Update call_routings set ";
					$stmt .= "priority='".intval(htmlentities($_POST['cr_priority_'.$index]))."', ";
					$stmt .= "sip_accounts='".mysql_real_escape_string(htmlentities($sip_accounts))."', ";
					$stmt .= "ring_time='".intval(htmlentities($_POST['cr_ring_time_'.$index]))."' ";
					$stmt .= "where id='".intval(htmlentities($_POST['cr_id_'.$index]))."'";
					mysql_query($stmt);
					$index++;
				}
			}
        }
	}

    $item = array();

    $stmt = "Select * from apartments where id='".intval($my_id)."'";
	if ($s = mysql_query($stmt)) {
		if ($r = mysql_fetch_array($s)) {
			$item = $r;
		}
		mysql_free_result($s);
	}

    if (isset($_POST['my_action']) && $_POST['my_action'] == "prev") {
        $stmt = "Select * from apartments where number < '".$r['number']."' order by number DESC";
        if ($s = mysql_query($stmt)) {
            if ($r = mysql_fetch_array($s)) {
                $item = $r;
                $my_id = $r['id'];
            }
            mysql_free_result($s);
        }
    } elseif (isset($_POST['my_action']) && $_POST['my_action'] == "next") {
        $stmt = "Select * from apartments where number > '".$r['number']."' order by number ASC";
        if ($s = mysql_query($stmt)) {
            if ($r = mysql_fetch_array($s)) {
                $item = $r;
                $my_id = $r['id'];
            }
            mysql_free_result($s);
        }
    }

    $devices = array();
	$act_devices = "";
	$call_routings = array();

	if (intval($my_id) > 0) {

		// Get Devices
		$index = 0;
		$stmt = "Select * from sip_accounts where apartment_id='".intval($my_id)."' order by name";
		if ($s = mysql_query($stmt)) {
			while ($r = mysql_fetch_array($s)) {
				$r['_index'] = $index;
				$devices[$index] = $r;
                $act_devices .= " ".$r['username'];
				$index++;
			}
			mysql_free_result($s);
		}

		// New call_routing
		if (isset($_POST['my_action']) && $_POST['my_action'] == "call_routing_add") {
			$stmt = "select max(priority) from call_routings where apartment_id='".intval($my_id)."'";
			if ($s = mysql_query($stmt)) {
				if ($r = mysql_fetch_array($s)) {
					$max = intval($r[0]) + 1;
					$stmt  = "Insert into call_routings set ";
					$stmt .= "apartment_id='".intval($my_id)."', ";
					$stmt .= "priority='".intval($max)."', ";
                    $stmt .= "ring_time='30', ";
					$stmt .= "sip_accounts=''";
					mysql_query($stmt);
				}
				mysql_free_result($s);
			}
		}	

		$index = 0;
		$stmt = "Select * from call_routings where apartment_id='".intval($my_id)."' order by priority";
		if ($s = mysql_query($stmt)) {
			while ($r = mysql_fetch_array($s)) {
				$r['_index'] = $index;
				$call_routings[$index] = $r;
				$index++;
			}
			mysql_free_result($s);
		}


    }

	$o_smarty->assign('my_id',$my_id);
	$o_smarty->assign('my_parent_page',$my_parent_page);
	
	$o_smarty->assign('act_devices',$act_devices);
	$o_smarty->assign('item',$item);
	$o_smarty->assign('devices',$devices);
	$o_smarty->assign('call_routings',$call_routings);

	$o_smarty->assign('system_info',$_SESSION['system_info']);
	$o_smarty->assign("user_level",$_SESSION['user_level']);
	$content = $o_smarty->fetch('apartment.html');
	$o_smarty->assign('content',$content);
	$o_smarty->display('index.html');

?>
