<?php

/*
* (C) 2013-2020 iDorMobile LCC, Werner Pfundstein IT
*
* Version: 2.2
 *
 */

	require_once('includes/config.inc.php');

    $go_on = false;
	if (isset($_SESSION['user_level'])) {
		if (intval($_SESSION['user_level']) > 0) {
            $go_on = true;
        }
    }
    if (!$go_on) {
        header("Location: index.php");
		exit;
	}

    if (isset($_POST['delete'])) {
        $ip = $_POST['ip'];
        if (strlen($ip)> 0) {
            exec("sudo /usr/sbin/asterisk -rx 'sip remove blocked_ip ".$ip."'");
        }
    }

	$items = array();
    $items_list = array();
	$index = 0;

    exec("sudo /usr/sbin/asterisk -rx 'sip show blocked_ips'",$items_list);
    foreach ($items_list as $e) {
        if (substr($e,0,7) == "Blocked") {
        } else {
            $arr = array();
            $arr = explode(",",$e);
            if (count($arr) == 2) {
                $a = array();
                $a['ip'] = trim($arr[0]);
                $a['seconds'] = trim($arr[1]);
                $items[$a['ip']] = $a;
            }
        }
    }

    asort($items);

    $o_smarty->assign('items',$items);
    $o_smarty->assign('items_list',$items_list);

	$o_smarty->assign('system_info',$_SESSION['system_info']);
	$o_smarty->assign("user_level",$_SESSION['user_level']);
	$content = $o_smarty->fetch('blocked_ips.html');
	$o_smarty->assign('content',$content);
	$o_smarty->display('index.html');

?>
