<?php

/*
* (C) 2013-2020 iDorMobile LCC, Werner Pfundstein IT
*
* Version: 2.2
 *
 */

    require_once('/usr/iDorMobile/system/scripts/dbcore.php');
    require_once('/usr/iDorMobile/system/scripts/dbtools.php');

    if (session_status() == PHP_SESSION_NONE) {
        session_start();
    }

    $go_on = false;
    if (isset($_SESSION['user_level'])) {
        if (intval($_SESSION['user_level']) >= 20) {
            $go_on = true;
        }
    }

    if (!$go_on) {
        header("Location: index.php");
        exit;
    }

	$ret_value = "";
	
	if (isset($_POST['action'])) {
		if ($_POST['action'] == "update_status") {
            $ret_value = "";
            $act_devices = trim(htmlentities($_POST['act_devices']));
            $devices_status= array();
            $result = array();
            $e = true;
            $arr = explode(" ",$act_devices);
            if (count($arr) > 0) {
                foreach ($arr as $a) {
                    if (!isValidNumeric($a)) {
                        $e = false;
                    }
                }
            } else {
                $e = false;
            }
            if ($e) {
                $cmd = "sudo /usr/iDorMobile/system/scripts/idor_device_status.php ".$act_devices;
                exec($cmd,$result);
                if (count($result) > 0) {
                    $ret_value = $result[0];
                }
            }
		}
	}
	echo $ret_value;

?>
