<?php

/*
* (C) 2013-2020 iDorMobile LCC, Werner Pfundstein IT
*
* Version: 2.2
 *
 */

    require_once('includes/config.inc.php');
    require_once('/usr/iDorMobile/system/scripts/dbcore.php');

    $go_on = false;
    if (isset($_SESSION['user_level'])) {
        if (intval($_SESSION['user_level']) >= 10) {
            $go_on = true;
        }
    }
    if (!$go_on) {
        header("Location: index.php");
        exit;
    }

    if (isset($_POST['my_action'])) {
        if ($_POST['my_action'] == "reboot") {
            exec("sudo /usr/iDorMobile/system/scripts/idor_reboot.sh");
            header("Location: backup_restore.php");
            exit;
        }
    }

    if (!file_exists("temp/iDMRestore.tar")) {
        header("Location: backup_restore.php");
        exit;
    }

	$o_smarty->assign('system_info',$_SESSION['system_info']);
	$o_smarty->assign("user_level",$_SESSION['user_level']);
	$content = $o_smarty->fetch('restore_system.html');
	$o_smarty->assign('content',$content);
	$o_smarty->display('index.html');

?>