<?php

/*
* (C) 2013-2020 iDorMobile LCC, Werner Pfundstein IT
*
* Version: 2.2
 *
 */

    require_once('/usr/iDorMobile/system/scripts/dbcore.php');

    if (session_status() == PHP_SESSION_NONE) {
        session_start();
    }

    $go_on = false;
    if (isset($_SESSION['user_level'])) {
        if (intval($_SESSION['user_level']) >= 20) {
            $go_on = true;
        }
    }

    if (!$go_on) {
        header("Location: index.php");
        exit;
    }

    $ret_code = "next";
	$ret_log = "";

    $path_update = "/usr/iDorMobile/webgui/idorgui/temp";
    $logfile = $path_update."/update_status.log";

    $finish = false;

    if (isset($_POST['action'])) {
        if ($_POST['action'] == "update") {
            $update_step = intval($_POST['update_step']);

            if ($update_step == "1") {
                exec("sudo rm ".$logfile);
                if ($f = fopen($logfile,"w")) {
                    fputs($f,"start update.<BR>");
                    fputs($f,"check iDMUpdate file. this may take several minutes.<BR>");
                    fclose($f);
                }
                $ret_code = "next";
            } else if ($update_step == "2") {
                if ($cn = db_open()) {
                    $version = "x";
                    $stmt = "Select value from settings where name='version'";
                    if ($s = mysql_query($stmt)) {
                        if ($r = mysql_fetch_object($s)) {
                            $version = $r->value;
                        }
                        mysql_free_result($s);
                    }

                    $file2find = "update-".$version.".info";

                    $found = false;
                    if (file_exists($path_update."/iDMUpdate.tar")) {
                        $arr = array();
                        exec("sudo tar -tvf ".$path_update."/iDMUpdate.tar",$arr);
                        foreach ($arr as $a) {
                            $p = strpos($a,$file2find);
                            if ($p !== false) {
                                $found = true;
                                break;
                            }
                        }
                    }
                    if ($found) {
                        if ($f = fopen($logfile,"a")) {
                            fputs($f,"untar iDMUpdate file. this may take several minutes.<BR>");
                            fclose($f);
                        }
                        $ret_code = "next";
                    } else {
                        exec("sudo rm ".$path_update."/iDMUpdate.tar");
                        $ret_value = "error: this is not an valid iDMUpdate file!";
                        if ($f = fopen($logfile,"a")) {
                            fputs($f,"ERROR: this is not an valid iDMUpdate file!<BR>");
                            fclose($f);
                        }
                        $ret_code = "error";
                    }
                    db_close($cn);
                } else {
                    $ret_value = "error: can not open database!";
                    if ($f = fopen($logfile,"a")) {
                        fputs($f,"ERROR: can not open database!<BR>");
                        fclose($f);
                    }
                    $ret_code = "error";
                }
            } else if ($update_step == "3") {
                exec("sudo tar -xvf ".$path_update."/iDMUpdate.tar -C /".$path_update);
                exec("sudo rm ".$path_update."/iDMUpdate.tar");
                if ($cn = db_open()) {
                    $version = "x";
                    $stmt = "Select value from settings where name='version'";
                    if ($s = mysql_query($stmt)) {
                        if ($r = mysql_fetch_object($s)) {
                            $version = $r->value;
                        }
                        mysql_free_result($s);
                    }

                    $file_info = "update-".$version.".info";
                    $z = "";
                    if ($fin = fopen("temp/".$file_info,"r")) {
                        $z = fgets($fin);
                        fclose($fin);
                        exec("sudo rm ".$path_update."/".$file_info);
                    }
                    $z = str_replace("\r","",$z);
                    $z = str_replace("\n","",$z);

                    if ($f = fopen($logfile,"a")) {
                        fputs($f,$z."<BR>");
                        fclose($f);
                    }
                    $ret_code = "next";
                    db_close($cn);
                } else {
                    $ret_value = "error: can not open database!";
                    if ($f = fopen($logfile,"a")) {
                        fputs($f,"ERROR: can not open database!<BR>");
                        fclose($f);
                    }
                    $ret_code = "error";
                }
            } else if (intval($update_step) > 0) {
                $i = 0;
                while ($i < 100) {
                    $i++;
                    if (file_exists("temp/update-step-start-".$i.".txt")) {
                        $z = "";
                        if ($fin = fopen("temp/update-step-start-".$i.".txt","r")) {
                            $z = fgets($fin);
                        }
                        $z = str_replace("\r","",$z);
                        $z = str_replace("\n","",$z);
                        if ($f = fopen($logfile,"a")) {
                            fputs($f,$z.".<BR>");
                            fclose($f);
                        }
                        $ret_code = "next";
                        exec("sudo rm ".$path_update."/update-step-start-".$i.".txt");
                        break;
                    } else if (file_exists("temp/update-step-run-".$i.".php")) {
                        $arr = array();
                        exec("sudo php ".$path_update."/update-step-run-".$i.".php",$arr);
                        exec("sudo rm ".$path_update."/update-step-run-".$i.".php");
                        if (count($arr) == 0) {
                            $ret_code = "error";
                            if ($f = fopen($logfile,"a")) {
                                fputs($f,"ERROR: executing script file.<BR>");
                                fclose($f);
                            }
                        } else {
                            $arr_ret = explode("|",$arr[0]);
                            $ret_code = $arr_ret[0];
                            if ($f = fopen($logfile,"a")) {
                                fputs($f,$arr_ret[1].".<BR>");
                                fclose($f);
                            }

                        }
                        break;
                    }
                }
                if ($i == 100) {
                    $ret_code = "finish";
                }
            } else {
                $ret_code = "finish";
            }
        }
        if (file_exists($logfile)) {
            if ($f = fopen($logfile,"r")) {
                $ret_log = "";
                while (!feof($f)) {
                    $ret_log .= fgets($f);
                }
                fclose($f);
            }
        }
    }

    if ($ret_code == "finish" || $ret_code == "error") {
        exec("sudo rm ".$path_update."/*.*");
    }

	echo $ret_code."|".$ret_log;

?>
